### Method

# Lasem DomDocument get_href_data

#### Declaration [src]

    void*
    lsm_dom_document_get_href_data (
      LsmDomDocument* self,
      const char* href,
      gsize* size
    )

#### Description

No description available.

#### Parameters

`href`

  Type: `const char*`

  Href.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gsize*`

  Placeholder for the size of the returned data.

  The data is owned by the caller of the method.

#### Return value

Type: `void*`

A newly allocated buffer containing the requested data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.